Subject: bug#69071: Emacs master branch: c-ts-mode is slow with large C functions.

From: Yuan Fu <[email-masked]>
Date: Thu, 29 Feb 2024 17:26:50 -0800

> On Feb 24, 2024, at 9:48 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Sat, 24 Feb 2024 12:35:50 -0800
>> Cc: [email-masked],
>> [email-masked]
>> 
>> 
>> 
>>> On Feb 20, 2024, at 5:55 AM, Eli Zaretskii <[email-masked]> wrote:
>>> 
>>>> From: Yuan Fu <[email-masked]>
>>>> Date: Mon, 19 Feb 2024 21:49:26 -0800
>>>> Cc: Alan Mackenzie <[email-masked]>,
>>>> [email-masked]
>>>> 
>>>> Before we continue, let me note that this seems like another case where tree-sitter-c parser chokes on some extreme C code. Profiler reports shows that almost all time are spent in treesit-parser-root-node, which indicates that all the time are spent parsing the text.
>>> 
>>> So maybe this is something to report to tree-sitter and/or
>>> tree-sitter-c developers?  (Does c++-ts-mode behave better with this
>>> file?)
>> 
>> We could, but honestly I don’t think they can/want to do anything.
> 
> I suggest to report this anyway: we don't have anything to lose, and
> there's a chance they would like to do something.
> 
> Thanks.

I created an issue here: https://github.com/tree-sitter/tree-sitter-c/issues/196

Hopefully it captures the issue.

Yuan